org.apache.catalina.core

## Class ApplicationFilterRegistration

- java.lang.Object
- - org.apache.catalina.core.ApplicationFilterRegistration

- All Implemented Interfaces:
    FilterRegistration, FilterRegistration.Dynamic, Registration, Registration.Dynamic

      public class ApplicationFilterRegistration
      extends Object
      implements FilterRegistration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration

      `FilterRegistration.Dynamic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationFilterRegistration(FilterDef filterDef, Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)`
    `void` | `addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)`
    `String` | `getClassName()`
    `String` | `getInitParameter(String name)`
    `Map<String,String>` | `getInitParameters()`
    `String` | `getName()`
    `Collection<String>` | `getServletNameMappings()`
    `Collection<String>` | `getUrlPatternMappings()`
    `void` | `setAsyncSupported(boolean asyncSupported)`
    `boolean` | `setInitParameter(String name, String value)`
    `Set<String>` | `setInitParameters(Map<String,String> initParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationFilterRegistration

          public ApplicationFilterRegistration(FilterDef filterDef,
                                       Context context)

  - ### Method Detail

    - #### addMappingForServletNames

          public void addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes,
                                       boolean isMatchAfter,
                                       String... servletNames)

      Specified by:
        `addMappingForServletNames` in interface `FilterRegistration`

    - #### addMappingForUrlPatterns

          public void addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes,
                                      boolean isMatchAfter,
                                      String... urlPatterns)

      Specified by:
        `addMappingForUrlPatterns` in interface `FilterRegistration`

    - #### getServletNameMappings

          public Collection<String> getServletNameMappings()

      Specified by:
        `getServletNameMappings` in interface `FilterRegistration`
      Returns:
        TODO

    - #### getUrlPatternMappings

          public Collection<String> getUrlPatternMappings()

      Specified by:
        `getUrlPatternMappings` in interface `FilterRegistration`
      Returns:
        TODO

    - #### getClassName

          public String getClassName()

      Specified by:
        `getClassName` in interface `Registration`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in interface `Registration`

    - #### getInitParameters

          public Map<String,String> getInitParameters()

      Specified by:
        `getInitParameters` in interface `Registration`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Registration`

    - #### setInitParameter

          public boolean setInitParameter(String name,
                                 String value)

      Specified by:
        `setInitParameter` in interface `Registration`
      Returns:
        TODO

    - #### setInitParameters

          public Set<String> setInitParameters(Map<String,String> initParameters)

      Specified by:
        `setInitParameters` in interface `Registration`
      Returns:
        TODO

    - #### setAsyncSupported

          public void setAsyncSupported(boolean asyncSupported)

      Specified by:
        `setAsyncSupported` in interface `Registration.Dynamic`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.